Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.dv
Interface XSSimpleType

All Superinterfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSObject, weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition, XSTypeDecl, weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition

Deprecated. please use JDK supplied XML parsers and transformers

    public interface XSSimpleType

extends XSTypeDecl, weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition

This interface `XSSimpleType` represents the simple type definition of schema component and defines methods to query the information contained. Any simple type (atomic, list or union) will implement this interface. It inherits from `XSTypeDecl`.

Field Summary
`static short` | `PRIMITIVE_ANYURI` Deprecated. "anyURI" type
`static short` | `PRIMITIVE_BASE64BINARY` Deprecated. "base64Binary" type
`static short` | `PRIMITIVE_BOOLEAN` Deprecated. "boolean" type
`static short` | `PRIMITIVE_DATE` Deprecated. "date" type
`static short` | `PRIMITIVE_DATETIME` Deprecated. "dataTime" type
`static short` | `PRIMITIVE_DECIMAL` Deprecated. "decimal" type
`static short` | `PRIMITIVE_DOUBLE` Deprecated. "double" type
`static short` | `PRIMITIVE_DURATION` Deprecated. "duration" type
`static short` | `PRIMITIVE_FLOAT` Deprecated. "float" type
`static short` | `PRIMITIVE_GDAY` Deprecated. "gDay" type
`static short` | `PRIMITIVE_GMONTH` Deprecated. "gMonth" type
`static short` | `PRIMITIVE_GMONTHDAY` Deprecated. "gMonthDay" type
`static short` | `PRIMITIVE_GYEAR` Deprecated. "gYear" type
`static short` | `PRIMITIVE_GYEARMONTH` Deprecated. "gYearMonth" type
`static short` | `PRIMITIVE_HEXBINARY` Deprecated. "hexBinary" type
`static short` | `PRIMITIVE_NOTATION` Deprecated. "NOTATION" type
`static short` | `PRIMITIVE_QNAME` Deprecated. "QName" type
`static short` | `PRIMITIVE_STRING` Deprecated. "string" type
`static short` | `PRIMITIVE_TIME` Deprecated. "time" type
`static short` | `WS_COLLAPSE` Deprecated. collapse the white spaces
`static short` | `WS_PRESERVE` Deprecated. preserve the white spaces
`static short` | `WS_REPLACE` Deprecated. replace the white spaces

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition
`FACET_ENUMERATION, FACET_FRACTIONDIGITS, FACET_LENGTH, FACET_MAXEXCLUSIVE, FACET_MAXINCLUSIVE, FACET_MAXLENGTH, FACET_MINEXCLUSIVE, FACET_MININCLUSIVE, FACET_MINLENGTH, FACET_NONE, FACET_PATTERN, FACET_TOTALDIGITS, FACET_WHITESPACE, ORDERED_FALSE, ORDERED_PARTIAL, ORDERED_TOTAL, VARIETY_ABSENT, VARIETY_ATOMIC, VARIETY_LIST, VARIETY_UNION`

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Method Summary
`void` | `applyFacets(XSFacets facets, short presentFacet, short fixedFacet, ValidationContext context)` Deprecated. If this type is created from restriction, then some facets can be applied to the simple type.
`short` | `getPrimitiveKind()` Deprecated. return an ID representing the built-in primitive base type.
`short` | `getWhitespace()` Deprecated. Return the whitespace corresponding to this datatype.
`boolean` | `isEqual(Object value1, Object value2)` Deprecated. Check whether two actual values are equal.
`boolean` | `isIDType()` Deprecated. Check whether this type is or is derived from ID.
`Object` | `validate(String content, ValidationContext context, ValidatedInfo validatedInfo)` Deprecated. validate a given string against this simple type.
`void` | `validate(ValidationContext context, ValidatedInfo validatedInfo)` Deprecated. validate an actual value against this simple type.

Methods inherited from interface weblogic.apache.xerces.impl.xs.XSTypeDecl
`derivedFrom, derivedFrom`

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`getBaseType, getFinal, getIsAnonymous, getIsFinal, getTypeCategory`

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getType`

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition
`getAnnotation, getDefinedFacets, getFixedFacets, getIsBounded, getIsDefinedFacet, getIsFinite, getIsFixedFacet, getIsNumeric, getItemType, getLexicalEnumerations, getLexicalFacetValue, getLexicalPatterns, getMemberTypes, getOrdered, getPrimitiveType, getVariety`

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`getBaseType, getFinal, getIsAnonymous, getIsFinal, getTypeCategory`

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getType`

Field Detail

### WS_PRESERVE

    static final short WS_PRESERVE

  Deprecated.
  preserve the white spaces

  See Also:
    Constant Field Values

### WS_REPLACE

    static final short WS_REPLACE

  Deprecated.
  replace the white spaces

  See Also:
    Constant Field Values

### WS_COLLAPSE

    static final short WS_COLLAPSE

  Deprecated.
  collapse the white spaces

  See Also:
    Constant Field Values

### PRIMITIVE_STRING

    static final short PRIMITIVE_STRING

  Deprecated.
  "string" type

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN

    static final short PRIMITIVE_BOOLEAN

  Deprecated.
  "boolean" type

  See Also:
    Constant Field Values

### PRIMITIVE_DECIMAL

    static final short PRIMITIVE_DECIMAL

  Deprecated.
  "decimal" type

  See Also:
    Constant Field Values

### PRIMITIVE_FLOAT

    static final short PRIMITIVE_FLOAT

  Deprecated.
  "float" type

  See Also:
    Constant Field Values

### PRIMITIVE_DOUBLE

    static final short PRIMITIVE_DOUBLE

  Deprecated.
  "double" type

  See Also:
    Constant Field Values

### PRIMITIVE_DURATION

    static final short PRIMITIVE_DURATION

  Deprecated.
  "duration" type

  See Also:
    Constant Field Values

### PRIMITIVE_DATETIME

    static final short PRIMITIVE_DATETIME

  Deprecated.
  "dataTime" type

  See Also:
    Constant Field Values

### PRIMITIVE_TIME

    static final short PRIMITIVE_TIME

  Deprecated.
  "time" type

  See Also:
    Constant Field Values

### PRIMITIVE_DATE

    static final short PRIMITIVE_DATE

  Deprecated.
  "date" type

  See Also:
    Constant Field Values

### PRIMITIVE_GYEARMONTH

    static final short PRIMITIVE_GYEARMONTH

  Deprecated.
  "gYearMonth" type

  See Also:
    Constant Field Values

### PRIMITIVE_GYEAR

    static final short PRIMITIVE_GYEAR

  Deprecated.
  "gYear" type

  See Also:
    Constant Field Values

### PRIMITIVE_GMONTHDAY

    static final short PRIMITIVE_GMONTHDAY

  Deprecated.
  "gMonthDay" type

  See Also:
    Constant Field Values

### PRIMITIVE_GDAY

    static final short PRIMITIVE_GDAY

  Deprecated.
  "gDay" type

  See Also:
    Constant Field Values

### PRIMITIVE_GMONTH

    static final short PRIMITIVE_GMONTH

  Deprecated.
  "gMonth" type

  See Also:
    Constant Field Values

### PRIMITIVE_HEXBINARY

    static final short PRIMITIVE_HEXBINARY

  Deprecated.
  "hexBinary" type

  See Also:
    Constant Field Values

### PRIMITIVE_BASE64BINARY

    static final short PRIMITIVE_BASE64BINARY

  Deprecated.
  "base64Binary" type

  See Also:
    Constant Field Values

### PRIMITIVE_ANYURI

    static final short PRIMITIVE_ANYURI

  Deprecated.
  "anyURI" type

  See Also:
    Constant Field Values

### PRIMITIVE_QNAME

    static final short PRIMITIVE_QNAME

  Deprecated.
  "QName" type

  See Also:
    Constant Field Values

### PRIMITIVE_NOTATION

    static final short PRIMITIVE_NOTATION

  Deprecated.
  "NOTATION" type

  See Also:
    Constant Field Values

Method Detail

### getPrimitiveKind

    short getPrimitiveKind()

  Deprecated.
  return an ID representing the built-in primitive base type. REVISIT: This method is (currently) for internal use only. the constants returned from this method are not finalized yet. the names and values might change in the further.

  Returns:
    an ID representing the built-in primitive base type

### validate

    Object validate(String content,
                    ValidationContext context,
                    ValidatedInfo validatedInfo)
                    throws InvalidDatatypeValueException

  Deprecated.
  validate a given string against this simple type.

  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context
    `validatedInfo` - used to store validation result
  Returns:
    the actual value (QName, Boolean) of the string value
  Throws:
    `InvalidDatatypeValueException`

### validate

    void validate(ValidationContext context,
                  ValidatedInfo validatedInfo)
                  throws InvalidDatatypeValueException

  Deprecated.
  validate an actual value against this simple type.

  Parameters:
    `value` - the actual value that needs to be validated
    `context` - the validation context
    `validatedInfo` - used to provide the actual value and member types
  Throws:
    `InvalidDatatypeValueException` - exception for invalid values.

### applyFacets

    void applyFacets(XSFacets facets,
                     short presentFacet,
                     short fixedFacet,
                     ValidationContext context)
                     throws InvalidDatatypeFacetException

  Deprecated.
  If this type is created from restriction, then some facets can be applied to the simple type. `XSFacets` is used to pass the value of different facets.

  Parameters:
    `facets` - the value of all the facets
    `presentFacets` - bit combination value of the costraining facet constants which are present.
    `fixedFacets` - bit combination value of the costraining facet constants which are fixed.
    `ValidationContext` - the validation context
  Throws:
    `InvalidDatatypeFacetException` - exception for invalid facet values.

### isEqual

    boolean isEqual(Object value1,
                    Object value2)

  Deprecated.
  Check whether two actual values are equal.

  Parameters:
    `value1` - the first value
  Returns:
    true if the two value are equal

### isIDType

    boolean isIDType()

  Deprecated.
  Check whether this type is or is derived from ID. REVISIT: this method makes ID special, which is not a good design. but since ID is not a primitive, there doesn't seem to be a clean way of doing it except to define special method like this.

  Returns:
    whether this simple type is or is derived from ID.

### getWhitespace

    short getWhitespace()
                        throws DatatypeException

  Deprecated.
  Return the whitespace corresponding to this datatype.

  Returns:
    valid values are WS_PRESERVE, WS_REPLACE, WS_COLLAPSE.
  Throws:
    `DatatypeException` - union datatypes don't have whitespace facet associated with them

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD